---
title: "Welcome"
date: 2019-08-29 09:00
draft: false
---

## The QUEST database of excitation energies
The purpose of the QUEST project is to provide reference (i.e. highly accurate) vertical excitation energies for small- and medium-sized molecules in order to compare the precision of computational quantum chemistry methods thanks to reliable and fair statistical analyses.
One of the key aspect of the QUEST dataset is that it does not rely on any experimental values, avoiding potential biases inherently linked to experiments and facilitating in the process theoretical cross comparisons.
The QUEST dataset of vertical excitations is composed by 7 subsets which are described in the [SUBSETS section](subsets).
The corresponding literature references associated with the QUEST dataset can be found in the [REFERENCES section](references).

This website is an integral part of this project and makes it possible to dynamically compare the accuracy of a given method with respect to various variables such as the molecule size or its family, the nature of the excited states, the size of the basis set, and many others. See the [DATASET section](dataset).


The statistics are represented as data table and graphs (using the [Plotly JavaScript Open Source Graphing Library](https://plotly.com/javascript)).

Please report problems/bugs on the [GitHub issue tracker](https://github.com/LCPQ/QUESTDB_website/issues).

## Example of statistical analysis
{{< figure src="/img/sampleplot.png" title="Statistical results for QUEST#1 for single excitations computed with the aug‑cc‑pVTZ basis" >}}



